
Katello - Feature #4984

Add cli + api commands for red hat  repo enable/disable 

03/31/2014 06:10 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1083166 Red Hat JIRA:  

Pull request:    

Description

We need cli commands to enable/disable red hat repos.

Associated revisions

Revision d4c8ae73 - 04/02/2014 04:05 PM - Partha Aji

Fixes #4984, #5001, #5010 - Adding repo enable and disable

Added repo enable /disable

Also added some requested enhancements to the cli.

Changed the use of param feed to param url (by aliasing.)

Also changed the index call to return in the proper API V1 - V2 way.

Revision 2e29082d - 04/02/2014 07:44 PM - Partha Aji

Fixes #4984, #5001, #5010 - Repo enable/disable

Also contains changes to show more info in the repo list call.

Also updated the repo update to now use --url instead of --feed to

update the feed url.

Revision ec3e2d80 - 04/02/2014 08:05 PM - Partha Aji

Fixes #4984, #5001, #5010 - Adding repo enable and disable

Added repo enable /disable

Also added some requested enhancements to the cli.

Changed the use of param feed to param url (by aliasing.)

Also changed the index call to return in the proper API V1 - V2 way.

Revision 0f713162 - 04/03/2014 11:45 AM - Partha Aji 

Merge pull request #3932 from parthaa/repo-commands

Fixes #4984, #5001, #5010 - Adding repo enable and disable

Revision dfbfdecd - 04/03/2014 03:45 PM - Partha Aji

Merge pull request #3932 from parthaa/repo-commands

Fixes #4984, #5001, #5010 - Adding repo enable and disable

Revision b14a89ca - 04/03/2014 03:53 PM - Partha Aji 

Merge pull request #131 from parthaa/repo-enable

Fixes #4984, #5001, #5010 - Repo enable/disable

History
#1 - 04/01/2014 08:51 AM - Ivan Necas

- Status changed from New to Assigned

- Assignee changed from Partha Aji to Ivan Necas

#2 - 04/02/2014 02:07 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1083166

#3 - 04/03/2014 03:52 PM - Partha Aji

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:ec3e2d80b922e9839cf6843d7968ba1281108ae1.

#4 - 08/21/2014 02:39 PM - Eric Helms

- translation missing: en.field_release set to 13
